Skip to content
Start here

Web3 Hostname Details

client.Web3.Hostnames.Get(ctx, identifier, query) (*Hostname, error)
GET/zones/{zone_id}/web3/hostnames/{identifier}

Web3 Hostname Details

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Web3 Hostnames WriteWeb3 Hostnames Read
ParametersExpand Collapse
identifier string

Specify the identifier of the hostname.

maxLength32
query HostnameGetParams
ZoneID param.Field[string]

Specify the identifier of the hostname.

maxLength32
ReturnsExpand Collapse
type Hostname struct{…}
ID stringoptional

Specify the identifier of the hostname.

maxLength32
CreatedOn Timeoptional
formatdate-time
Description stringoptional

Specify an optional description of the hostname.

maxLength500
ModifiedOn Timeoptional
formatdate-time
Name stringoptional

Specify the hostname that points to the target gateway via CNAME.

maxLength255
Status HostnameStatusoptional

Specifies the status of the hostname's activation.

One of the following:
const HostnameStatusActive HostnameStatus = "active"
const HostnameStatusPending HostnameStatus = "pending"
const HostnameStatusDeleting HostnameStatus = "deleting"
const HostnameStatusError HostnameStatus = "error"
Target HostnameTargetoptional

Specify the target gateway of the hostname.

One of the following:
const HostnameTargetEthereum HostnameTarget = "ethereum"
const HostnameTargetIPFS HostnameTarget = "ipfs"
const HostnameTargetIPFSUniversalPath HostnameTarget = "ipfs_universal_path"

Web3 Hostname Details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/web3"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  hostname, err := client.Web3.Hostnames.Get(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    web3.HostnameGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", hostname.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "This is my IPFS gateway.",
    "dnslink": "/ipns/onboarding.ipfs.cloudflare.com",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "gateway.example.com",
    "status": "active",
    "target": "ipfs"
  },
  "success": true,
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "This is my IPFS gateway.",
    "dnslink": "/ipns/onboarding.ipfs.cloudflare.com",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "gateway.example.com",
    "status": "active",
    "target": "ipfs"
  },
  "success": true,
  "result_info": {}
}